searchNodes=[{"doc":"Erlang OTP's built-in xmerl library lacks functionality to print XML with indent. This module fills the gap by providing a custom callback to print XML with indent. This module is taken from https://github.com/erlang/otp/blob/master/lib/xmerl/src/xmerl_xml.erl, converted to Elixir and modified for indentation. This module is used in conjunction with Erlang's xmerl library. See the project documentation for details.","ref":"XmerlXmlIndent.html","title":"XmerlXmlIndent","type":"module"},{"doc":"","ref":"XmerlXmlIndent.html##element#/5","title":"XmerlXmlIndent.#element#/5","type":"function"},{"doc":"","ref":"XmerlXmlIndent.html##root#/4","title":"XmerlXmlIndent.#root#/4","type":"function"},{"doc":"","ref":"XmerlXmlIndent.html##text#/1","title":"XmerlXmlIndent.#text#/1","type":"function"},{"doc":"","ref":"XmerlXmlIndent.html##xml-inheritance#/0","title":"XmerlXmlIndent.#xml-inheritance#/0","type":"function"},{"doc":"A callback module to write XML with indentation for Elixir. As the module name suggests, this library must be used in conjunction with Erlang's built-in xmerl library. Erlang's xmerl library lacks the module to export XML with indentation. This library provides an alternative callback module to xmerl_xml .","ref":"readme.html","title":"xmerl_xml_indent","type":"extras"},{"doc":"Add xmerl_xml_indent to your list of dependencies in mix.exs : def deps do [ { :xmerl_xml_indent , &quot;~&gt; 0.1.0&quot; } ] end","ref":"readme.html#installation","title":"xmerl_xml_indent - Installation","type":"extras"},{"doc":"xml_str = &quot;&lt;?xml version = \\&quot; 1.0 \\&quot; ?&gt;&lt;Level1&gt;&lt;Level2&gt;&lt;Level3A&gt;This is level 3&lt;/Level3A&gt;&lt;Level3B&gt;This is level 3B&lt;/Level3B&gt;&lt;Level3C&gt;&lt;Level4&gt;This is level 4&lt;/Level4&gt;&lt;Level4B&gt;&lt;Level5&gt;This is level 5&lt;/Level5&gt;&lt;/Level4B&gt;&lt;/Level3C&gt;&lt;/Level2&gt;&lt;/Level1&gt;&quot; xml_chars = String . to_charlist ( xml_str ) { xml_parsed , _ } = :xmerl_scan . string ( xml_chars ) xml_exported = :xmerl . export ( [ xml_parsed ] , XmerlXmlIndent ) to_string ( xml_exported ) The above code produces XML output: &lt;?xml version=&quot;1.0&quot;?&gt; &lt;Level1&gt; &lt;Level2&gt; &lt;Level3A&gt;This is level 3A&lt;/Level3A&gt; &lt;Level3B&gt;This is level 3B&lt;/Level3B&gt; &lt;Level3C&gt; &lt;Level4&gt;This is level 4&lt;/Level4&gt; &lt;Level4B&gt; &lt;Level5&gt;This is level 5&lt;/Level5&gt; &lt;/Level4B&gt; &lt;/Level3C&gt; &lt;/Level2&gt; &lt;/Level1&gt;","ref":"readme.html#usage","title":"xmerl_xml_indent - Usage","type":"extras"},{"doc":"This module indent XML with 2 spaces. This is not configurable This module indent XML with LF ( \\n ) only. This is not configurable","ref":"readme.html#limitations","title":"xmerl_xml_indent - Limitations","type":"extras"}]